"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_i_1 = require("fs-i");
const fs_extra_1 = require("fs-extra");
function replaceProjectName(path, answer) {
    return __awaiter(this, void 0, void 0, function* () {
        let files = yield fs_i_1.getAllFiles(path);
        for (let file of files) {
            let fileContent = fs_extra_1.readFileSync(file, { encoding: 'utf-8' });
            fileContent = fileContent.replace(/{{projectName}}/g, answer.projectName);
            fs_extra_1.writeFileSync(file, fileContent);
        }
    });
}
function createProjectWithUnitTest(answer) {
    return __awaiter(this, void 0, void 0, function* () {
        let targetPath = `${process.cwd()}/${answer.projectName}`;
        fs_extra_1.copySync(`${__dirname}/../template/projectWithUnitTest`, targetPath);
        replaceProjectName(targetPath, answer);
    });
}
exports.createProjectWithUnitTest = createProjectWithUnitTest;
function createProject(answer) {
    return __awaiter(this, void 0, void 0, function* () {
        if (answer.unittest) {
            createProjectWithUnitTest(answer);
        }
    });
}
exports.createProject = createProject;
//# sourceMappingURL=createProject.js.map